Subject: Re: bug#51385: 29.0.50; PragmataPro wide word ligatures such as [ERR] having the left side cut off in cairo build

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Nov 2021 19:17:19 +0200

> From: "Patrick Lenihan [sc17pl]" <[email-masked]>
> Date: Wed, 3 Nov 2021 15:08:55 +0000
> 
> It's my ignorance. I am a user of ligature packages but don't know how they communicate with the
> composition table mechanism in Emacs. Perhaps my best effort recipe wasn't a sensible way to display
> ligatures in Emacs.

Why did you use those particular codepoints? where did you see them,
and what glyphs on display they are supposed to show?

> Although my recipe is not well written I do believe there is a bug. The wide PragmataPro ligatures display fine
> in builds without Cairo, but only the right side is displaying if Cairo is included. Its the same for all ligature
> packages I've tried.

I'm not sure I follow: you believe this is a bug because it appears
with Cairo, but not without Cairo?  That's not evidence that there's a
bug in Emacs.  These builds use different libraries to show stuff on
the glass, and each library could have its own peculiarities when PUA
characters are being displayed.

The important part here is that Emacs doesn't currently support
display of PUA characters, even if the default font has glyphs for
those characters.